Skip to main content
GET
/
order-status
Returns the status of an order
curl --request GET \
  --url https://quote-api.dflow.net/order-status \
  --header 'x-api-key: <api-key>'
{
  "inAmount": "<string>",
  "outAmount": "<string>",
  "status": "pending",
  "fills": [
    {
      "inAmount": "<string>",
      "inputMint": "<string>",
      "outAmount": "<string>",
      "outputMint": "<string>",
      "signature": "<string>"
    }
  ],
  "reverts": [
    {
      "amount": "<string>",
      "mint": "<string>",
      "signature": "<string>"
    }
  ]
}

Need Help?

https://mintcdn.com/dflow/a8Yx7HBusmKl4Z7w/images/meteor-icons_discord.svg?fit=max&auto=format&n=a8Yx7HBusmKl4Z7w&q=85&s=0ea834bc8a9fa3fe161ba181329effda

Join Our Discord

Connect with other developers, get help, and stay updated on the latest DFlow developments.
https://mintcdn.com/dflow/a8Yx7HBusmKl4Z7w/images/meteor-icons_telegram.svg?fit=max&auto=format&n=a8Yx7HBusmKl4Z7w&q=85&s=e928c5dd68311ff0d419936a35c86eed

Dev Notifications

Join the DFlow Dev Notifications Telegram group to stay in the loop on new features and other announcements.

Authorizations

x-api-key
string
header
required

API key for authentication. Contact hello@dflow.net to obtain an API key.

Query Parameters

signature
string
required

Base58-encoded transaction signature of the transaction received from the order endpoint

lastValidBlockHeight
integer<int64> | null

Last block height at which the transaction is valid

Required range: x >= 0

Response

Order status

inAmount
string
required

Total input amount filled, as a scaled integer. For example, 1 SOL is 1000000000.

outAmount
string
required

Total output amount filled, as a scaled integer. For example, 1 SOL is 1000000000.

status
enum<string>
required

Status of the order

Available options:
pending,
expired,
failed,
open,
pendingClose,
closed
fills
object[]

Fills for the order. Specified if and only if the order has at least one fill.

reverts
object[]

Reverts for the order. Specified if and only if the order has at least one revert.